RenderForm (gCube WS Mail Widget 1.0.0-SNAPSHOT API)
Date: 2013-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.wsmail.client.events
Class RenderForm

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>
              org.gcube.portlets.user.wsmail.client.events.RenderForm

    public class RenderForm

extends com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler>` | `TYPE`

Constructor Summary
`RenderForm(boolean result)`

Method Summary
`protected void` | `dispatch(RenderFormEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler>` | `getAssociatedType()`
`boolean` | `isSuccess()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler> TYPE

Constructor Detail

### RenderForm

    public RenderForm(boolean result)

Method Detail

### isSuccess

    public boolean isSuccess()

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>`

### dispatch

    protected void dispatch(RenderFormEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.